#ifndef RALLY_RUSH_GAME_MODE_HPP
#define RALLY_RUSH_GAME_MODE_HPP

#include "utils/game_mode.hpp"

namespace godot {
class RallyRushGameMode : public GameMode {
    GDCLASS(RallyRushGameMode, GameMode);
    static void _bind_methods();
public:
    int get_num_found_keys();
    void notify_key_found();
    void notify_player_death();
    void notify_player_escaped();
    void notify_turret_pickup();
    void notify_end_turret_pickup();
private:
    int num_keys_found{0};
};
}

#endif // !RALLY_RUSH_GAME_MODE_HPP
